const { Controller } = require('libflitter')

class ProfileController extends Controller {
    static get services() {
        return [...super.services, 'Vue']
    }

    async get_page(req, res, next) {
        return res.page('dash:profile:main', {
            ...this.Vue.data(),
            ...this.Vue.session(req)
        })
    }
}

module.exports = exports = ProfileController
